Visualizza: Box contenitore

From FreeCAD Documentation
This page is a translated version of the page Std SelBoundingBox and the translation is 100% complete.
Other languages:

Box contenitore

Posizione nel menu
Visualizza → Box contenitore
Ambiente
Tutti
Avvio veloce
Nessuno
Introdotto nella versione
0.19
Vedere anche
Stile di disegno

Descrizione

Il comando Box di selezione attiva o disattiva la modalità di evidenziazione del riquadro di selezione globale. Se questa modalità è attivata, gli oggetti selezionati vengono contrassegnati in una Vista 3D con un riquadro di selezione evidenziato anche se VistaSelection Style è impostato su 'Forma'.

Utilizzo

  1. Selezionare l'opzione Visualizza → Box contenitore dal menu.

Script

Vedere anche: Autogenerated API documentation e Script di base per FreeCAD.

Per modificare il parametro ShowSelectionBoundingBox utilizzare il metodo SetBool del ParameterGrp appropriato.

import FreeCAD, FreeCADGui

grp = FreeCAD.ParamGet("User parameter:BaseApp/Preferences/View")
if grp.GetBool("ShowSelectionBoundingBox"):
    grp.SetBool("ShowSelectionBoundingBox", False)
else:
    grp.SetBool("ShowSelectionBoundingBox", True)

FreeCADGui.updateCommands()